Bug 1304739 - ModuleOptions parsing can't handle EAP7 configuration
ModuleOptions parsing can't handle EAP7 configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
high Severity high
: DR01
: One-off release
Assigned To: Michael Burman
Sunil Kondkar
: Triaged
: 1314303 (view as bug list)
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-02-04 08:53 EST by Michael Burman
Modified: 2016-06-06 14:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:56:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Burman 2016-02-04 08:53:41 EST
Description of problem: ModuleOptions component assumes structure of the module options attribute include an index number that can be used to match attribute states. These are not necessarily present in the EAP7 configuration.

EAP6:

subsystem=security,security-domain=RHQDSSecurityDomainNoTx,authentication=classic,login-modules:0,module-option

In EAP7 there are examples such as jaspitest which doesn't have the index number that is expected:

subsystem=security,security-domain=jaspitest,authentication=jaspi,login-module-stack,module-options

This causes a NumberFormatException since the AS7 module can't handle this sort of scenario. Other security-domains include the necessary :0/:1 etc so they can be parsed correctly.

Version-Release number of selected component (if applicable): RHQ master, EAP7 ER04


How reproducible: Always


Steps to Reproduce:
1. Install EAP7
2. Start monitoring
3. Watch agent.log

Actual results:


Expected results:


Additional info:
Comment 1 Michael Burman 2016-02-10 05:56:15 EST
ModuleOptionsComponent.loadResourceConfiguration lines 347 and 316 at least with input strings failing such as "curity", "ult,subsystem=security,security-domain=jaspitest,authentication=jaspi,login-module-stack" and "ult"
Comment 2 Heiko W. Rupp 2016-03-03 08:38:41 EST
*** Bug 1314303 has been marked as a duplicate of this bug. ***
Comment 3 Michael Burman 2016-03-04 11:28:23 EST
Fixed in master:

commit f0d02edd1706df08e0d49813a38a3371b9cea33e
Author: Michael Burman <miburman@redhat.com>
Date:   Fri Mar 4 18:26:38 2016 +0200

    [BZ 1304739] Check for NumberFormatException when parsing security-module config
Comment 6 Sunil Kondkar 2016-03-23 10:38:00 EDT
Verified on JON 3.3 EAP plugin pack Update 04 DR01

Installed and imported EAP7. Verified that agent log does not display NumberFormatException.

Note You need to log in before you can comment on or make changes to this bug.